#!/usr/bin/make -f

export PYBUILD_NAME=pytest-socket

# Disable tests requiring network access
export PYBUILD_TEST_ARGS = \
	-k 'not test_parametrize_with_socket_enabled_and_allow_hosts \
	and not test_global_disable_and_allow_host \
	and not test_single_cli_arg_connect_disabled_hostname_resolved \
	and not test_default_urlopen_succeeds_by_default \
	and not test_single_cli_arg_urlopen_enabled \
	and not test_single_mark_arg_urlopen_enabled \
	and not test_urllib_succeeds_by_default \
	and not test_enabled_urllib_succeeds'

%:
	dh $@ --with python3 --buildsystem=pybuild
